> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Data scans for instance

> Returns data scans for the instance associated with the access token.

Each data scan returned by the API includes information such as scan ID, target name, scan status, start and end times, and summary of findings.


Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/scans/data
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/scans/data:
    get:
      tags:
        - Scans
      summary: Data scans for instance
      description: "Returns data scans for the instance associated with the access token.\r\n\r\nEach data scan returned by the API includes information such as scan ID, target name, scan status, start and end times, and summary of findings.\r\n\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetDataScans
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompletedDataScansJson'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  schemas:
    GetCompletedDataScansJson:
      title: Get Completed Data Scans JSON
      type: object
      properties:
        header:
          $ref: '#/components/schemas/CompletedDataHeader'
        data_scans:
          title: Data Scans
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/CompletedDataScans'
          description: List of completed data scans.
      additionalProperties: false
      description: Represents the JSON structure for retrieving completed data scans.
    CompletedDataHeader:
      title: Completed Data Scan
      type: object
      properties:
        data_scan_items:
          title: Data Scan Items
          type: integer
          description: Total number of items scanned in data scans.
          format: int32
        data_scan_folders:
          title: Data Scan Folders
          type: integer
          description: Total number of folders scanned in data scans.
          format: int32
        data_scan_sensitive_items:
          title: Data Scan Sensitive Items
          type: integer
          description: Total number of sensitive items found in data scans.
          format: int32
        average_data_scan_grade:
          title: Average Data Scan Grade
          type: number
          description: Average grade of all completed data scans.
          format: double
        average_data_scan_grade_alpha:
          title: Average Data Scan Grade Alpha
          type:
            - string
            - 'null'
          description: Alphabetical representation of the average data scan grade.
      additionalProperties: false
      description: Represents a completed data scan with its associated details.
    CompletedDataScans:
      title: Completed Data Scan
      type: object
      properties:
        scan_id:
          title: Scan Id
          type:
            - string
            - 'null'
          description: Unique identifier for the scan.
        scan_name:
          title: Scan Name
          type:
            - string
            - 'null'
          description: Name of the scan.
        scan_type:
          title: Scan Type
          type:
            - string
            - 'null'
          description: Type of the scan.
        scanned_items:
          title: Scanned Items
          type: integer
          description: Total number of items scanned in the data scan.
          format: int32
        scanned_folders:
          title: Scanned Folders
          type: integer
          description: Total number of folders scanned in the data scan.
          format: int32
        total_sensitive_items:
          title: Total Sensitive Items
          type: integer
          description: Total number of sensitive items found in the data scan.
          format: int32
        percent_sensitive_items:
          title: Percent Sensitive Items
          type: number
          description: Percentage of sensitive items found in the data scan.
          format: double
        scan_started:
          title: Scan Start Time
          type:
            - string
            - 'null'
          description: Date and time when the scan started.
        scan_finished:
          title: Scan Finish Time
          type:
            - string
            - 'null'
          description: Date and time when the scan finished.
        grade:
          title: Grade
          type: number
          description: Overall grade of the scan.
          format: double
        grade_alpha:
          title: Grade Alpha
          type:
            - string
            - 'null'
          description: Alphabetical representation of the scan grade.
        issuing_user:
          title: Issuing User
          type:
            - string
            - 'null'
          description: User who issued the scan.
        categories:
          title: Categories
          type:
            - string
            - 'null'
          description: Categories of data scanned.
      additionalProperties: false
      description: Represents a completed data scan with its associated details.

````